<?
include_once '../core/system.php';
$header = 'Обучение';
include_once '../core/head.php';

function sint($in){
	$in=abs(intval($in));
	return $in;
}



global $user;
if(!isset($user['id'])){
	echo "
	<div class='b-panel gray-panel'>
	<div class='panel-inner'>";
switch(sint($_GET[mod])){
default:
if(empty($_SESSION[s])){ $_SESSION[s]=1; }
if($_SESSION[s]!=1){header ('Location: index.php?mod='.$_SESSION[s].'');exit;}
$_SESSION[s]=1;
	
echo '<div class="main"><table><tr><td><center><img src="start/rasp.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Приветствую!</b><br/>
Скажи мне кто ты <blue>Герой</blue> или <blue>Героиня</blue>?</center></td></tr></table><center>';
echo'
<table>
<tr>
    <td><center><a href="?mod=2&pol=m"><img src="start/m.png" alt="m"/></a></center></td>
    <td><center><a href="?mod=2&pol=w"><img src="start/w.png" alt="w"/></a></center></td>
</tr>
<tr>
    <td><center><green>Герой </green></center></td>
    <td><center><green>Героиня </green></center></td>
</tr>
</table></div>';
break;

case 2:
if($_SESSION[s]==1){ $_SESSION[s]=2; }
if($_SESSION[s]!=2){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_GET[pol]!='m' and $_GET[pol]!='w'){
echo'Ошибка!<br/>';
require("../system/inc_foot.php");
exit;}
$_SESSION[pol]=check($_GET[pol]);
header ('Location: index.php?mod=3&klas=fighert');exit;
echo '<div class="main"> <table><tr><td><center><img src="start/rasp.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Отлично!</b><br/>
Теперь скажи мне кто ты <blue>Великий воин</blue> или <blue>Непобедимый маг</blue>?:</center></td></tr></table>';
echo'<center>';
echo'<div class="main"> 
<table>
<tr>
    <td><center><a href="?mod=3&klas=fighert"><img src="start/voin.png" alt="m"/></a></center></td>
    <td><center><a href="?mod=3&klas=wizard"><img src="start/mag.png" alt="w"/></a></center></td>
</tr>
<tr>
    <td><center><green>Воин </green></center></td>
    <td><center><blue>Маг </blue></center></td>
</tr>
</table></div>';
break;

case 3:
if($_SESSION[s]==2){ $_SESSION[s]=3; }
if($_SESSION[s]!=3){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_GET[klas]!='fighert' and $_GET[klas]!='wizard'){
echo'Ошибка!<br/>';
require("../system/inc_foot.php");
exit;}

$_SESSION[klas]=check($_GET[klas]);
$_SESSION[money]="40";
$_SESSION[start]="1";

echo '<div class="main"> <table><tr><td><center><img src="start/rasp.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Отлично!</b><br/>
Какой стороне ты принадлежишь?<black>Темной</black> или <white>Светлой</white>?</center></td></tr></table>';
echo'<div class="hrr"> </div><center>';
echo'<div class="main"> 
<table>
<tr>
    <td><center><a href="?mod=4&storona=black"><img src="start/hum.jpg" alt="m"/></a></center></td>
    <td><center><a href="?mod=4&storona=white"><img src="start/kosm.jpg" alt="w"/></a></center></td>
</tr>
<tr>
    <td><center><black>Галл </black></center></td>
    <td><center><white>Римлянин </white></center></td>
</tr>
</table></div>';
break;

case 4:
if($_SESSION[s]==3){ $_SESSION[s]=4; }
if($_SESSION[s]!=4){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_GET[storona]!='black' and $_GET[storona]!='white'){
echo'Ошибка!<br/>';
require("../system/inc_foot.php");
exit;}
$_SESSION[storona]=check($_GET[storona]);

echo '<div class="main"> <table><tr><td><center><img src="start/rasp.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Отлично!</b><br/>
Для боя тебе понадобиться оружие, держи <img src="/images/icon/gold.png" alt=""/> 40 сходи к <red>Кузнецу</red>, у него есть для тебя подходящее оружие!</center></td></tr></table>';
echo'<div class="hrr"> </div><center>';
echo'<div class="main"> 
<table>
<tr>
    <td><center><a href="?mod=997"><img src="start/kuznec.png" alt="w"/></a></center></td>
</tr>
<tr>
    <td><center><red>К кузнецу </red></center></td>
</tr>
</table></div>';
break;

case 5:
if($_SESSION[pkuz]!=1){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_SESSION[s]==4){ $_SESSION[s]=5; }
if($_SESSION[s]!=5){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }

echo '<div class="main"> <table><tr><td><center><img src="start/kuznec.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Привет, Я кузнец!</b><br/>
Мне сообщили что тебе нужно оружие и у меня есть то что тебе нужно:</center></td></tr></table>';
echo'<div class="hrr"> </div><center>';
echo'<div class="main"> 
<table>
<tr>
    <td><center><img src="/img/magaz/6.png" alt="w"/> <img src="/img/magaz/5.png" alt="w"/></center></td>
</tr>
<tr>
    <td><center><img src="/images/icon/gold.png" alt=""/> 40
	
	<br/>
	
	<center><a href="?mod=998">Купить и надеть</a><br/>
	
	</center></td>
</tr>
</table></div>';
break;

case 6:
if($_SESSION[kuz]!=1){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_SESSION[s]==5){ $_SESSION[s]=6; }
if($_SESSION[s]!=6){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
header ('Location: index.php?mod=996');exit;
echo '<table><tr><td><center><img src="start/rasp.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Ты вернулся, Очень хорошо!</b><br/>
Я поговорил с <red>магом</red> он согласился тебя обучить магии.</center></td></tr></table>';
echo'<div class="hrr"> </div><center>';
echo'<div class="main"> 
<table>
<tr>
    <td><center><a href="?mod=996"><img src="start/mager.png" alt="w"/></a></center></td>
</tr>
<tr>
    <td><center><red>К магу </red></center></td>
</tr>
</table></div>';
break;

case 7:
if($_SESSION[mag]!=1){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_SESSION[s]==6){ $_SESSION[s]=7; }
if($_SESSION[s]!=7){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
header ('Location: index.php?mod=995');exit;
echo '<table><tr><td><center><img src="start/mager.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Привет, Я маг!</b><br/>
Привет меня попросили обучить тебя магии, ну что ж начнем?</center></td></tr></table>';
echo'<div class="hrr"> </div><center>';
echo'
<table>
<tr>';
if($_SESSION[klas]=='fighert'){
    echo'<td><center><img src="start/mv.png" alt="w"/></center></td>';}
if($_SESSION[klas]=='wizard'){
    echo'<td><center><img src="start/mm.png" alt="w"/></center></td>';}
echo'</tr><tr>';
if($_SESSION[klas]=='fighert'){
    echo'<td><center><img src="img/pap.gif" alt=""/><green>+10 </green> <img src="img/mp.png" alt=""/><red>-7 </red> <img src="/images/icon/gold.png" alt=""/>100';
	}
if($_SESSION[klas]=='wizard'){
	echo'<td><center><img src="img/pap.gif" alt=""/><green>+13 </green> <img src="img/mp.png" alt=""/><red>-9 </red> <img src="/images/icon/gold.png" alt=""/>100';
	}
echo'<br/><a href="?mod=995"><input class="button" type="submit" value="Выучить магию" /></a><br/>
</center></td>
</tr>
</table></div>';
break;

case 8:
if($_SESSION[pmag]!=1){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_SESSION[s]==7){ $_SESSION[s]=8; }
if($_SESSION[s]!=8){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }

echo '<div class="main"> <table><tr><td><center><img src="start/rasp.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Отлично! Ты вернулся!</b><br/>
Теперь ты готов к своему первому бою! Одалей <red>Стража</red>, докажи что ты способный!</center></td></tr></table>';
echo'<center>';
echo'<div class="main"> 
<table>
<tr>
    <td><center><a href="?mod=994"><img src="start/str.png" alt="w"/></a></center></td>
</tr>
<tr>
    <td><center><red>Бой с Стражем </red></center></td>
</tr>
</table></div></div>';
break;

case 9:
if($_SESSION[battle]!=1){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }
if($_SESSION[s]==8){ $_SESSION[s]=9; }
if($_SESSION[s]!=9){ header ('Location: index.php?mod='.$_SESSION[s].'');exit; }

if($_SESSION[storona]=="white"){$rasa=0;}else{$rasa=1;}
if($_SESSION[pol]=="m"){$pol=1;}else{$pol=0;}
if($_SESSION[bhp]<=0){
$az=rand(11111111,9999999999);
mysql_query("INSERT INTO `user` SET `nick` = '$az', `pass` = '123456', `gold` = '50000', `silver` = '100000', `storona` = '$rasa', `pol` = '$pol', `timereg` = '".time()."', `mana` = 1050, `max_mana` = 1050, `health` = 
80, `max_health` = 80, `sila` = 80, `lovk` = 80, `zashit` = 80, `noreg` = 1");
$rid=mysql_insert_id();
if(round(100-(($rasa2/$rasa1)*(100)),1)>15 or round(100-(($rasa1/$rasa2)*(100)),1)>15){
	mysql_query("UPDATE `user` SET `nick` = 'Воин(".$rid.")' WHERE `id` = '".$rid."' LIMIT 1");
}

$infor = mysql_fetch_assoc(mysql_query("SELECT cena,type from `kompl` where `id_komp` = '23' and `id` = '72' limit 1"));
mysql_query("INSERT INTO `kompl_us` set `type` = '".$infor['type']."', `id_komp` = '72',  `act` = '1', `id_us` = '".$rid."'");
$infor = mysql_fetch_assoc(mysql_query("SELECT cena,type from `kompl` where `id_komp` = '23' and `id` = '73' limit 1"));
mysql_query("INSERT INTO `kompl_us` set `type` = '".$infor['type']."', `id_komp` = '73', `id_us` = '".$rid."'");


$nick='Воин('.$rid.')';
session_destroy();
session_start();

	setcookie('nick', $nick, time()+86400*365, '/');
	setcookie('pass', '123456', time()+86400*365, '/');
	header('Location: /index.php');
	$_SESSION['message'] = 'Добро пожаловать в игру! ';
	exit();

echo '<div class="main"> <table><tr><td><center><img src="start/rasp.png" width="70" height="70" alt="logo"/></center></td><td><center> <b>Поздравляю '.$_POST[nick].'!</b><br/>Теперь ты один из нас!</center></td></tr></table>';
echo '</div><div class="block">';
echo'<a href="/"><input class="button" type="submit" value="Продолжить путешествие" /></a><br/>';


require("../core/foot.php");
exit;
}
echo'<center>';
echo'<div class="main">
<table>
<tr>
    <td><center><img src="start/'.check($_SESSION[pol]).'.png" alt="w"/></center></td>
	<td><center><red>VS</red></center></td>
    <td><center><img src="start/str.png" alt="w"/></center></td>
</tr>

<tr>
    <td><center><img src="hp.php?max='.sint($_SESSION[hpall]).'&now='.sint($_SESSION[hp]).'" alt=""/><br/></center></td>
	<td><center></center></td>
	<td><center><img src="hp.php?max='.sint($_SESSION[bhpall]).'&now='.sint($_SESSION[bhp]).'" alt=""/><br/></center></td>
</tr>

<tr>
    <td><center>'.$_SESSION[mp].'</center></td>
	<td><center><img src="img/mp.png" alt="w"/></center></td>
	<td><center>'.$_SESSION[bmp].'</center></td>
</tr>

<tr>
    <td><center>'.$_SESSION[sila].'</center></td>
	<td><center><img src="img/me4.png" alt="w"/></center></td>
	<td><center>'.$_SESSION[bsila].'</center></td>
</tr>

<tr>
    <td><center>'.$_SESSION[protect].'</center></td>
	<td><center><img src="img/shit.png" alt="w"/></center></td>
	<td><center>'.$_SESSION[bprotect].'</center></td>
</tr>

</table>
<a href="?mod=993"><input class="button" type="submit" value="Атаковать" /></a><br/>';

if(time()>=$_SESSION[timer]){echo'<a href="?mod=992">Ударить магией</a> ';
}else{
$xx=$_SESSION[timer]-time();
echo'<black>Ударить магией</black> через '.$xx.' сек ';
}

echo''.$_SESSION[log].'';
break;

case 992:
$_SESSION[battle]=1;
if(time()>=$_SESSION[timer]){
$ta=rand(4,14);
$oa=rand(1,4);
$_SESSION[hp]=$_SESSION[hp]-$oa;
$_SESSION[bhp]=$_SESSION[bhp]-$ta;
$_SESSION[timer]=time()+15;
$_SESSION[log6]=$_SESSION[log5];
$_SESSION[log5]=$_SESSION[log4];
$_SESSION[log4]=$_SESSION[log3];
$_SESSION[log3]=$_SESSION[log2];
$_SESSION[log2]=$_SESSION[log1];
$_SESSION[log1]="<div class='hrr'> </div>Ты атакуешь магией стражника на - <blue>$ta</blue><br/>Стражник бьет вас на - <blue>$oa</blue>";
$_SESSION[log]=''.$_SESSION[log1].''.$_SESSION[log2].''.$_SESSION[log3].''.$_SESSION[log4].''.$_SESSION[log5].''.$_SESSION[log6].'';
}
header ('Location: index.php?mod=9');exit;
break;

case 993:
if(time()>=$_SESSION[antiudar]){
$_SESSION[antiudar]=time()+1;
$_SESSION[battle]=1;
$ta=rand(1,9);
$oa=rand(1,4);
$_SESSION[hp]=$_SESSION[hp]-$oa;
$_SESSION[bhp]=$_SESSION[bhp]-$ta;
$_SESSION[log6]=$_SESSION[log5];
$_SESSION[log5]=$_SESSION[log4];
$_SESSION[log4]=$_SESSION[log3];
$_SESSION[log3]=$_SESSION[log2];
$_SESSION[log2]=$_SESSION[log1];
$_SESSION[log1]="<div class='hrr'> </div>Ты атакуешь стражника на - <blue>$ta</blue><br/>Стражник бьет вас на - <blue>$oa</blue>";
$_SESSION[log]=''.$_SESSION[log1].''.$_SESSION[log2].''.$_SESSION[log3].''.$_SESSION[log4].''.$_SESSION[log5].''.$_SESSION[log6].'';
}else{
$_SESSION[antiudar]=time()+2;
$_SESSION[log6]=$_SESSION[log5];
$_SESSION[log5]=$_SESSION[log4];
$_SESSION[log4]=$_SESSION[log3];
$_SESSION[log3]=$_SESSION[log2];
$_SESSION[log2]=$_SESSION[log1];
$_SESSION[log1]="<div class='hrr'> </div><red>Промах</red>";
$_SESSION[log]=''.$_SESSION[log1].''.$_SESSION[log2].''.$_SESSION[log3].''.$_SESSION[log4].''.$_SESSION[log5].''.$_SESSION[log6].'';
}
header ('Location: index.php?mod=9');exit;
break;

case 994:
if($_SESSION[n]!=1){
$_SESSION[n]=1;
$_SESSION[battle]=1;
$_SESSION[bhp]=38;
$_SESSION[bhpall]=38;
$_SESSION[bmp]=31;
$_SESSION[bsila]=7;
$_SESSION[bprotect]=11;
}
header ('Location: index.php?mod=9');exit;
break;

case 995:
$_SESSION[pmag]=1;
if($_SESSION[er2]!=1){
$_SESSION[er2]=1;
$_SESSION[money]=$_SESSION[money]-100;
}
header ('Location: index.php?mod=8');exit;
break;

case 996:
$_SESSION[mag]=1;
header ('Location: index.php?mod=7');exit;
break;

case 997:
$_SESSION[pkuz]=1;
header ('Location: index.php?mod=5');exit;
break;

case 998:
if($_SESSION[er1]!=1){
$_SESSION[er1]=1;
$_SESSION[mp]=$_SESSION[mp]+1; 
$_SESSION[mpall]=$_SESSION[mpall]+1; 
$_SESSION[hp]=$_SESSION[hp]+80;
$_SESSION[hpall]=$_SESSION[hpall]+80; 
$_SESSION[sila]=$_SESSION[sila]+3;
$_SESSION[krit]=$_SESSION[krit]+1;
$_SESSION[umin]=$_SESSION[umin]+3;
$_SESSION[umax]=$_SESSION[umax]+3;
$_SESSION[lovk]=$_SESSION[lovk]+1;
$_SESSION[protect]=$_SESSION[protect]+2;
$_SESSION[money]=$_SESSION[money]-100;
$_SESSION[kuz]=1;
}
header ('Location: index.php?mod=6');exit;
break;

case 999:
session_destroy();
header ('Location: index.php?');exit;
}

}else{
header ('Location: /index.php?');exit;
}

echo' <div class="foot">';
echo '</center></div></div><div class="line"></div>';
include_once '../core/foot.php';
?>